net.sourceforge.pmd.stat

## Class DataPoint

- java.lang.Object
- - net.sourceforge.pmd.stat.DataPoint

All Implemented Interfaces:
  Comparable<DataPoint>

    public class DataPoint
    extends Object
    implements Comparable<DataPoint>

Author:
  David Dixon-Peugh Aug 8, 2002 DataPoint.java

### Constructor Summary

Constructors
Constructor and Description
`DataPoint()` Constructor for DataPoint.

### Method Summary

Methods
`int` `compareTo(DataPoint rhs)`
`String` `getMessage()`
`Node` `getNode()`
`double` `getScore()`
`void` `setMessage(String message)`
`void` `setNode(Node node)`
`void` `setScore(double score)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataPoint

    public DataPoint()

Constructor for DataPoint.

### Method Detail

#### compareTo

    public int compareTo(DataPoint rhs)

Specified by:
  `compareTo` in interface `Comparable<DataPoint>`

#### getNode

    public Node getNode()

#### setNode

    public void setNode(Node node)

#### getMessage

    public String getMessage()

#### setMessage

    public void setMessage(String message)

#### getScore

    public double getScore()

#### setScore

    public void setScore(double score)